AOZ Studio Beta - Bug #645

ASCII Man Reloaded errors out any time the pac guy collides with an enemy.
01/30/2021 03:47 AM - Brian Flanagan

Status: Closed Start date: 01/29/2021
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: 1.0.0 (B7)

Description

The program loads and starts properly, however it crashes as soon as the pac guy collides with an enemy.
(This involves many different blocks of code - but probably has the same underlying issue.)

(See attached snapshot of one of the errors.)

History

#1 - 02/09/2021 07:13 PM - Brian Flanagan

- Estimated time changed from 1:00 h to 2:00 h
Retested. Collisions still broken as of 9 Feb 2021.
(Tested in both Windows & macOS versions.)

#2 - 04/03/2021 08:21 AM - Brian Flanagan

- File 2021-04-03 03.08.12.mov added
- Affected version changed from 1.0.0 (B3) to 1.0.0 (B7)

Re-tested in 1.0.0 (B7). All collisions with enemy still fail.
(Added a video to illustrate the problem.)

#3 - 04/05/2021 06:37 AM - Phil Bell
The problem is with these 2 lines in the CHECK_COLLISIONS: section of the code

px = SCRXOFF + PCX + (PX * MAPCELLWIDTH)
py = SCRYOFF + PCY + (PY * MAPCELLWIDTH)

px,py and PX,PY are not the same because the case is different, but the result of this code is updating the PX and PY variables values.
Renaming px and py fixes the issue. | should probably not have been coded it this way, but it is valid in AOZ.

Phil

#4 - 09/22/2021 09:58 AM - Brian Flanagan

- Status changed from New to Closed

I'm not sure when, but this was fixed a long time ago! (re-tested anyway it works!)

Files
ASCII_Man_Reloaded_Collision.png 80 KB 01/30/2021 Brian Flanagan
2021-04-03 03.08.12.mov 5.01 MB 04/03/2021 Brian Flanagan
